Delete Client
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients/delete"
payload = { "clientId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientId: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}SSO
Delete Client
DeleteClient deletes one App-owned OAuth client and its sign-in binding.
POST
/
api
/
v1
/
apps
/
{app_id}
/
sso
/
applications
/
{id}
/
clients
/
delete
Delete Client
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Application that owns the client.
SSO application that governs the client.
Body
application/json
SSOApplicationServiceDeleteClientRequest deletes one App-owned OAuth client.
Generated client ID to delete.
Response
200 - application/json
SSOApplicationServiceDeleteClientResponse confirms deletion.
SSOApplicationServiceDeleteClientResponse confirms deletion.
Was this page helpful?
⌘I